%define name kreatecd 
%define version 1.0.0
%define release 4mdk

Summary: CD-R recording frontend for the K Desktop Environment

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0: 	kreatecd-configure.diff.bz2
URL : 		http://www.kreatecd.de
License: 	GPL
Group: 		Archiving/Cd burning
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	libqt2 kdelibs cdparanoia >= IIIa9.7 cdrecord >= 1.9 cdrecord-cdda2wav >= 1.9 mkisofs >= 1.13
BuildPrereq : 	libqt2-devel kdelibs-devel
Icon : 		kreatecd.xpm
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf gcc-c++ diffutils file m4 texinfo gettext
BuildRequires:  kdelibs-devel kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62 libmng1
BuildRequires:  libpng2 libqt2 libqt2-devel rpm-build


%description
KreateCD is a graphical frontend for CD-R recording. It uses the K Desktop
Environment to provide a intuitive user interface. KreateCD is able to
create ISO-9660 images and CDDA disks and copy them.

%prep

%setup -q
%patch -p1 

%build
make -f Makefile.cvs
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CDRECORD="/usr/bin/cdrecord"
export MKISOFS="/usr/bin/mkisofs"
export CDDA2WAV="/usr/bin/cdda2wav"
export MPG123="/usr/bin/mpg123"
export CDPARANOIA="/usr/bin/cdparanoia"
./configure  \
        --prefix=%{_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --enable-strict-perm \
        --disable-rpath \
        --enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir/mini
mkdir -p $RPM_BUILD_ROOT%_iconsdir/large
mkdir -p $RPM_BUILD_ROOT%_menudir

cp kreatecd/lo16-app-kreatecd.png $RPM_BUILD_ROOT%_iconsdir/kreatecd.png
cp kreatecd/lo16-app-kreatecd.png $RPM_BUILD_ROOT%_iconsdir/mini/kreatecd.png
cp kreatecd/hi32-app-kreatecd.png $RPM_BUILD_ROOT%_iconsdir/large/kreatecd.png

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/kreatecd" \
title="KreateCd" \
longtitle="CD recording front-end" \
needs="x11" \
icon="%{name}.png" \
section="Applications/Archiving/Cd burning"
EOF
)


%{find_lang} %{name}

%post 
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%dir %_datadir/apps/kreatecd
%_datadir/apps/kreatecd/*.rc

%dir %_datadir/apps/kreatecd/pics/
%_datadir/apps/kreatecd/pics/*.png

%dir %_datadir/doc/HTML/en/kreatecd
%_datadir/doc/HTML/en/kreatecd/*.png
%_datadir/doc/HTML/en/kreatecd/*.html
%_datadir/doc/HTML/en/kreatecd/*.docbook
%_datadir/doc/HTML/en/kreatecd/.anchors

%_bindir/*
%_menudir/*

%_iconsdir/kreatecd.png
%_iconsdir/mini/kreatecd.png
%_iconsdir/large/kreatecd.png
%_datadir/icons/locolor/16x16/apps/kreatecd.png
%_datadir/icons/hicolor/32x32/apps/kreatecd.png

%_datadir/mimelnk/application/x-kreatecd.desktop 

%_datadir/applnk/Applications/kreatecd.desktop

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Use optimizations
- Rebuild against latest GCC

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-3mdk
- Clean spec and add build requires

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-2mdk
- Rebuild against Qt 2.3.0

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- released and added in contribs by Alexander Feigl <Alexander.Feigl@gmx.de> :
	- update to version 1.0.0
	- fix build for users which are not in cdwriter group

* Tue Mar 01 2001 Alexander Feigl <Alexander.Feigl@gmx.de> 0.9.1-2mdk
- Fix track dialog - it does display audio tracks again
- Fix burning of audio tracks from CDDA source

* Tue Mar 01 2001 Alexander Feigl <Alexander.Feigl@gmx.de> 0.9.1-1mdk
- First spec file for Mandrake distribution.

# end of file
